use std::process::Command;

// build and bundle the application, reporting success if there are no errors or
// warnings. to see this test fail while others succeed, try moving `index.html`
// or one of the assets that it links to
#[test]
fn trunk_build_test() {
    let build_status = Command::new("trunk")
        .arg("build")
        .env("RUSTFLAGS", "-D warnings")
        .status()
        .expect("Call to Trunk failed");
    assert!(build_status.success());
}